using Thrift2
using Documenter

DocMeta.setdocmeta!(Thrift2, :DocTestSetup, :(using Thrift2); recursive=true)

makedocs(;
    modules=[Thrift2],
    authors="ExpandingMan <savastio@protonmail.com> and contributors",
    repo="https://gitlab.com/ExpandingMan/Thrift2.jl/blob/{commit}{path}#{line}",
    sitename="Thrift2.jl",
    format=Documenter.HTML(;
        prettyurls=get(ENV, "CI", "false") == "true",
        canonical="https://ExpandingMan.gitlab.io/Thrift2.jl",
        edit_link="main",
        assets=String[],
    ),
    pages=[
        "Home" => "index.md",
        "API" => "api.md",
    ],
)
