using Thrift2
using Test

include("sampledecs.jl")
include("utils.jl")


const TEST_TYPES = (SchemaElement, PageHeader, ColumnMetaData, Column, RowGroup, FileMetaData)


function writetest(T)
    p = CompactProtocol()
    s = sample(T)
    write(p, s)
    seekstart(p)
    read(p, T) == s
end


@testset "Thrift2.jl" begin
    @testset "read" begin
        for T ∈ TEST_TYPES
            @test readsample(T) == sample(T)
        end
    end
    @testset "write" begin
        for T ∈ TEST_TYPES
            @test writetest(T)
        end
    end
end
